Bug 1083698 - Review Request: rubygem-coveralls - A Ruby implementation of the Coveralls API
Summary: Review Request: rubygem-coveralls - A Ruby implementation of the Coveralls API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Achilleas Pipinellis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1083701 1083715
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 18:40 UTC by Troy Dawson
Modified: 2014-07-17 04:27 UTC (History)
2 users (show)

Fixed In Version: rubygem-coveralls-0.7.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:27:57 UTC
axilleas: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Troy Dawson 2014-04-02 18:40:18 UTC
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-coveralls.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-coveralls-0.7.0-1.fc20.src.rpm
Description: 
  Coveralls works with your continuous integration 
  server to give you test coverage history and statistics.
  This package is a Ruby implementation of the Coveralls API.
Fedora Account System Username: tdawson

Comment 1 Troy Dawson 2014-04-02 19:35:08 UTC
This package will not build or run on the current rawhide release.
rawhide has rubygem-simplecov 0.8.2, which depends on docile.  Docile is still in review request.
If you want to get this package reviewed faster, please help with the review for docile.

https://bugzilla.redhat.com/show_bug.cgi?id=1083701

Comment 2 Troy Dawson 2014-07-03 20:32:55 UTC
rubygem-docile and rubygem-simplecov are now available on rawhide.  Please give this some reviewing love.

Comment 3 Troy Dawson 2014-07-03 21:16:32 UTC
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-coveralls.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-coveralls-0.7.0-2.fc21.src.rpm

- Added man page

RPMLINT OUTPUT:
$ rpmlint rubygem-coveralls.spec rubygem-coveralls-0.7.0-2.fc21.src.rpm rubygem-coveralls-0.7.0-2.fc21.noarch.rpm rubygem-coveralls-doc-0.7.0-2.fc21.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Achilleas Pipinellis 2014-07-04 20:51:24 UTC
Love for coveralls!

I'm going to approve this, but here are some minor things you might want to consider before you push it.


- If you are building this only for rawhide, you can drop all Requires as they are now autogenerated.
- %check should be better surrounded by `pushd %{gem_instdir}/popd` just to be sure we're on the right path.
- Since you are already removing some unneded files you could also do the same for Gemfile and coveralls-ruby.gemspec


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-coveralls-0.7.0-2.fc21.noarch.rpm
          rubygem-coveralls-doc-0.7.0-2.fc21.noarch.rpm
          rubygem-coveralls-0.7.0-2.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-coveralls rubygem-coveralls-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-coveralls (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)
    rubygem(multi_json)
    rubygem(rest-client)
    rubygem(simplecov)
    rubygem(term-ansicolor)
    rubygem(thor)

rubygem-coveralls-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    rubygem-coveralls



Provides
--------
rubygem-coveralls:
    rubygem(coveralls)
    rubygem-coveralls

rubygem-coveralls-doc:
    rubygem-coveralls-doc



Source checksums
----------------
https://rubygems.org/gems/coveralls-0.7.0.gem :
  CHECKSUM(SHA256) this package     : 449284ddd071e2297d06d0a9d18fe4c2b4027848263b1087d4180fb44e03e36b
  CHECKSUM(SHA256) upstream package : 449284ddd071e2297d06d0a9d18fe4c2b4027848263b1087d4180fb44e03e36b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1083698
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Troy Dawson 2014-07-07 16:56:29 UTC
New Package SCM Request
=======================
Package Name: rubygem-coveralls
Short Description: A Ruby implementation of the Coveralls API
Upstream URL: https://coveralls.io
Owners: tdawson
Branches: f19 f20 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-07-07 17:06:41 UTC
Git done (by process-git-requests).

Comment 7 Troy Dawson 2014-07-07 17:07:50 UTC
Thank you for the review.
I have implemented 2 of the three items you commented on
- Added pushd and popd to %check
- remove all the files instead of just some and excluding others
I left the requires, just for now.  I will be building this on f19 and f20 and they are still needed there.

Comment 8 Fedora Update System 2014-07-07 19:05:17 UTC
rubygem-coveralls-0.7.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-coveralls-0.7.0-3.fc20

Comment 9 Fedora Update System 2014-07-09 02:27:57 UTC
rubygem-coveralls-0.7.0-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-07-17 04:27:57 UTC
rubygem-coveralls-0.7.0-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.